SYSTEMD-VPICK(1)

BEZEICHNUNG
systemd-vpick - Pfade auf versionierte .v/-Verzeichnisse auflösen

ÜBERSICHT

systemd-vpick [OPTIONEN…] [PFAD…]

BESCHREIBUNG

systemd-vpick löst einen Dateisystempfad, der ein versioniertes ».v/«-Verzeichnis referenziert, auf einen Pfad mit der neusten (gemäß Version) Datei auf, die dort drin enthalten ist. Dieses Werkzeug stellt die Befehlszeilenschnittstelle für die systemd.v(7)-Logik bereit.

Das Werkzeug erwartet als Argument einen Pfad zu einem ».v/«-Verzeichnis (entweder direkt oder mit einem dreifachen Unterstrich als abschließende Komponente). Es bestimmt dann die neuste in diesem Verzeichnis enthaltene Datei und schreibt deren Pfad in die Standardausgabe.

Sofern nicht das Muster mit den dreifachen Unterstrichen als letzte Pfadkomponente übergeben wird, ist es typischerweise notwendig, wenigstens den Schalter --suffix= anzugeben, um die Dateiendung festzulegen, nach der gesucht werden soll.

Falls der angegebene Pfad keinen ».v/«-Pfad referenziert (d.h. weder die abschließende Komponente auf ».v« endet noch die vorletzte oder abschließende Komponente einen dreifachen Unterstrich enthält), wird der angegebene Pfad unverändert auf die Standardausgabe geschrieben.

OPTIONEN

Die folgenden Optionen werden verstanden:

--basename=, -B
    Setzt den »Basisnamen« der zu suchenden Dateien außer Kraft, d.h. den Anteil links vom variablen Anteil der Dateinamen. Normalerweise wird dieser automatisch aus dem Dateinamen der Komponente ».v« des angegebenen Pfades abgeleitet, oder aus dem dreifachen Unterstrichmuster in der letzten Komponente des angegebenen Pfades.

    Hinzugefügt in Version 256.

-V
    Konfiguriert die auszuwählende Version explizit. Falls angegeben, wird nach einem Dateinamen mit der angegebenen Versionszeichenkette anstelle der neuste verfügbaren Version gesucht.

    Hinzugefügt in Version 256.

-A
    Konfiguriert explizit die auszuwählende Architektur. Falls angegeben, wird nach einem Dateinamen mit dem angegebenen Architekturkennzeichner gesucht. Falls nicht angegeben, werden nur Dateinamen mit einer lokal unterstützten Architektur oder solche ohne Architekturkennzeichner berücksichtigt.

    Hinzugefügt in Version 256.

--suffix=, -S
    Konfiguriert die Endung der zu betrachtenden Dateien. Für die ».v/«-Logik ist es notwendig, die zu suchende Endung anzugeben und die ».v/«-Komponente muss auch die Endung direkt vor ».v« in ihrem Dateinamen tragen.

    Hinzugefügt in Version 256.

--type=, -t
    Konfiguriert den im Verzeichnis ».v/« zu suchenden Inode-Typ. Akzeptiert entweder »reg«, »dir«, »sock«, »fifo«, »blk«, »chr« oder »lnk« als Argument, was jeweils den Inode-Typ identifiziert. Siehe inode(7) zu Details über jeden Inode-Typ. Falls diese Option verwandt wird, werden Inodes, die nicht auf den angegebenen Typ passen, herausgefiltert und nicht berücksichtigt.

    Hinzugefügt in Version 256.

--print=, -p
    Konfiguriert, was genau in die Standardausgabe geschrieben werden soll. Falls nicht angegeben, wird der vollständige, aufgelöste Pfad der neusten passenden Datei im Verzeichnis ».v/« ausgegeben. Dieser Schalter kann auf einen der folgenden Werte gesetzt werden:

        • Falls auf »filename« gesetzt, wird nur der Dateiname ausgegeben, anstatt den vollständigen Pfad der aufgelösten Datei.

        • Falls auf »version« gesetzt, wird nur die Version der aufgelösten Datei ausgegeben.

        • Falls auf »type« gesetzt, wird nur der Inode-Typ der aufgelösten Datei ausgegeben (d.hj&. eine Zeichenkette wie »reg« für reguläre Dateien oder »dir« für Verzeichnisse).

        • Falls auf »arch« gesetzt, wird nur die Architektur der aufgelösten Datei ausgegeben.

        • Falls auf »tries« gesetzt, wird nur die verbliebenen Versuche/erledigten Versuche der aufgelösten Datei ausgegeben.

        • Falls auf »all« gesetzt, wird alles obige in einer einfachen, tabellarischen Ausgabe dargestellt.

    Hinzugefügt in Version 256.

--resolve=
    Akzeptiert ein logisches Argument. Falls true, wird der Pfad zur versionierten Datei vollständig kanonisiert (d.h. Symlinks aufgelöst und redundante Pfadkomponenten entfernt), bevor er angezeigt wird. Falls false (die Vorgabe), erfolgt dies nicht und der Pfad wird ohne Kanonisierung angezeigt.

    Hinzugefügt in Version 256.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

BEISPIELE

Verwenden Sie einen Befehl wie den Folgenden, um automatisch das neuste rohe Plattenabbild aus einem ».v/«-Verzeichnis auszuwählen:

    $ systemd-vpick --suffix=.raw --type=reg /var/lib/machines/quux.raw.v/

Dies wird alle regulären Dateien, die auf /var/lib/machines/quux.raw.v/quux*.raw passen, aufzählen, filtern und sie entsprechend der in systemd.v(7) beschriebenen Regeln sortieren und dann den Pfad zu der neusten (gemäß Version) Datei in die Standardausgabe schreiben.

Verwenden Sie einen Befehl wie den Folgenden, um automatisch den neusten Betriebssystemverzeichnisbaum aus einem ».v/«-Verzeichnis auszuwählen:

    $ systemd-vpick --type=dir /var/lib/machines/waldo.v/

Dies wird alle Verzeichnis-Inodes, die auf /var/lib/machines/waldo.v/waldo* passen, aufzählen, filtern und sie entsprechend der in systemd.v(7) beschriebenen Regeln sortieren und dann den Pfad zu dem neusten (gemäß Version) Verzeichnis in die Standardausgabe schreiben.

Weitere Beispiele finden Sie in systemd.v(7).

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemd.v(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).